@import url('https://fonts.googleapis.com/css2?family=Clicker+Script&family=Poppins:wght@200;300;400;500;600;700&display=swap');

:root
{
    --color-1: #fff;
    --color-2: #e4e4e4;
    --color-3: #bebebe;
    --color-4: #064a64;
    --color-5: #a39c9c;
    --color-6: #796868;
    /* --color-7: #252525; */
    --color-7: #b6b6b6;
    --color-8: #1d1d1d;
}

body, .main-container
{
    margin: 0;
    width: 100%;

}

.main-container
{
    margin-top: 0;
    position: relative;
    font-family: Arial, Helvetica, sans-serif;
}

/* CONTAINER START */
.main-container .container
{
    display: flex;
}

.main-container .container .left-page
{
    width: 450px;
    height: 725px;
    background-color: var(--color-7);
}

.main-container .container .left-page .left-nav
{
    top: 0;
    position: fixed;
    padding: 15px;
}

.main-container .container .right-page
{
    width: 100%;
    background-color: var(--color-1);
}

.main-container .container .right-page .right-nav
{
    margin-left: 200px;
    top: 0;
    position: fixed;
    padding: 15px;
}

.main-container .container .left-page .left-nav a
{
    padding: 15px;
    text-decoration: none;
    color: var(--color-1);
}

.main-container .container .right-page .right-nav a
{
    color: var(--color-8);
    padding: 15px;
    text-decoration: none;
    transition: all ease;
}

.main-container .container .right-page .right-nav .active
{
    border-bottom: 4px solid var(--color-4);
}

.main-container .container .left-page .image
{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 330px;
    height: 330px;
    position: absolute;
    top: 180px;
    /* margin-top: 180px; */
    left: 115px;
    border-radius: 50%;
    border: 25px solid var(--color-7);
}

.main-container .container .left-page .image .left-img
{
    width: 281px;
    height: 281px;
    border: 25px solid var(--color-1);
    border-radius: 50%;
    background-color: var(--color-7);
}

.main-container .container .right-page .content
{
    width: 450px;
    height: 400px;
    color: var(--color-8);
    float: right;
    padding: 180px 50px 0 0;
    /* border: 1px solid #000; */
}

.main-container .container .right-page .content h1
{
    margin-left: 20px;
    color: var(--color-4);
    font-family: 'Courier New', Courier, monospace;
    animation: moving 1.5s 0.01s 1 ease-in-out;
}

@keyframes moving {
    from {
        margin-left: 0;
        color: var(--color-1);
    }
    to {
        margin-left: 20px;
        color: var(--color-4);
    }    
}

.main-container .container .right-page .content p
{
    line-height: 2rem;
    text-indent: 40px;
}

.main-container .container .right-page .content .btn 
{
    text-decoration: none;
    display: inline-block;
    padding: 18px 25px;
    margin: 30px 0 0 30px;
    border: 1px solid var(--color-4);
    border-radius: 50px;
    color: var(--color-4);
    transition: all 0.4s ease;
}

.main-container .container .right-page .content .btn:hover
{
    background-color: var(--color-4);
    color: var(--color-1);
    /* transform: scale(1.03); */
    /* box-shadow: 4px 4px 2px solid black; */
}

.main-container .container .right-page .content .img
{
    width: 200px;
    height: 200px;
    margin: 5px;
    animation: leftToright 1.5s 0.01s 1 ease-in-out;
}

.main-container .container .right-page .content .animation
{
    width: 15rem;
    height: 1.5rem;
    margin: 60px 0 0 200px;
    color: var(--color-1);
}

.main-container .container .right-page .content .animate
{
    animation: leftToright 1.5s 0.01s 1 ease-in-out;
}

@keyframes leftToright {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.main-container .container .right-page .content .icon
{
    /* font-size: 30px; */
    color: var(--color-4);
}

.main-container .container .right-page .content .contact
{
    /* border: 1px solid black; */
    display: inline-block;
    margin-top: 8vw;
}

.main-container .container .right-page #con2, #con3, #con4, #con5
{
    display: none;
}

.main-container .container .right-page .content .fa
{
    /* display: inline-block; */
    padding: 6px;
    font-size: 18px;
    width: 30px;
    text-align: center;
    text-decoration: none;
    margin: 5px 2px;
    border-radius: 10px;  
    /* border: 1px solid black; */
}

.main-container .container .right-page .content .bio p
{
    border-bottom: 1px solid var(--color-5);
}

.main-container .container .right-page .content .fa:hover 
{
    opacity: 0.7;
}

.main-container .container .right-page .content .fa-facebook 
{
  background: #3B5998;
  color: white;
  margin-left: 100px;
}

.main-container .container .right-page .content .fa-twitter 
{
  background: #55ACEE;
  color: white;
}

.main-container .container .right-page .content .fa-instagram 
{
    background: #a904d3;
    color: white;
}

.main-container .container .right-page .content .fa-linkedin 
{
    background: #007bb5;
    color: white;
}

@media (max-width: 576px) 
{
    .main-container 
    {
        width: 100%;
    }
}